none
Report Builder 3.0 から SQL Server 2008 への接続に失敗する

    質問

  • hide.yama と申します。

    以下の環境下でクライアントからサーバーへ接続しようとするとエラーが表示され接続ができません。

    Active Directory ドメイン下で、

    <サーバー>
      ・Windows Server 2003 Standard Edition + SP2
          ・IIS インストール済み(デフォルト設定のまま)
          ・ファイアウォール設定なし

      ・SQL Server 2008 (10.0.2573)
          ・インスタンスなし
          ・SQLの各サービス用に Domain Users アカウントを作成

      後付で Reporting Services をインストールし、Reporting Services 構成マネージャーで以下を構成。

         ・レポートサーバーモード:ネイティブ
         ・サービスアカウント:SQLサービス用DomainUsersアカウント
         ・WebサービスURL:デフォルト
         ・データベースの資格情報:サービスアカウント
         ・データベース接続用アカウント:サービスアカウントと同じ
         ・レポートマネージャーURL:デフォルト
         ・実行アカウント:デフォルト(設定なし)

    <クライアント>

      Windows 7 Professional + SP1
         ・Report Builder 3.0 をインストール


    この状況下で、クライアントから

        http://サーバー名:80/ReportServer
        http://サーバー名:80/Reports

    に接続可能。また、
    http://サーバー名:80/Reports のレポートビルダ(1.0)リンクから
    ビルダを起動して、サーバーへ接続は可能。

    しかし、Report Builder 3.0 から
    http://サーバー名:80/ReportServer に接続しようとすると、
    ユーザー名とパスワードを聞かれ、

      ・データベース接続アカウント
      ・Domain Admins アカウント

    いずれでアクセスしても下記のエラーが表示されます。

        接続に失敗しました。
        指定された URL のサーバーに接続できません。
        http://サーバー名:80/ReportServer。
        サーバーが実行されていること、URLが正しいこと、および、
        サーバーを使用する権限があることを確認してください。

    一度、パケットキャプチャを使って検証したところ
    Access Denyed のエラーが帰ってきていることが分かりました。

    どこの設定を変更もしくは追加すればいいのか分かりかねている状態です。
    どなたか識者の方でお分かりになれば、どうか教えて下さい。

    よろしくお願いします。


    • 編集済み hide.yama 2012年4月26日 1:50
    2012年4月26日 1:47

回答

  • Microsoft SQL Server 2008 R2 レポート ビルダー 3.0 は 名前の通り Microsoft SQL Server 2008 R2 向けです。
    Microsoft SQL Server 2008 向けにはレポート ビルダー 2.0 があります。
    2012年4月26日 3:46

すべての返信

  • Microsoft SQL Server 2008 R2 レポート ビルダー 3.0 は 名前の通り Microsoft SQL Server 2008 R2 向けです。
    Microsoft SQL Server 2008 向けにはレポート ビルダー 2.0 があります。
    2012年4月26日 3:46
  • hihijiji様、

    ご返答ありがとうございます。

    とても基本的なことで質問してしまい、すみませんでした。

    確かにおっしゃるとおり、レポートビルダー2.0 からは接続ができ、レポート作成も出来ました。

    レポートビルダー3.0 は SQL Server 2008 R2 のみ、サポート、ということなんですね。

    しかし、それであれば、エラーメッセージもレポートビルダーのバージョンが合わない、というようなメッセージにしてくれると

    いいのですが・・・。

    本当にすみませんでした。

     

    2012年4月26日 6:16